#!/bin/sh


BALANCER_PATH="/mnt/flash2/unifs/etc/conf.d/balancer_address"
SSH_INFO_PATH="/mnt/flash2/Parsed_SSH_Info"
ActiveStatus_PATH="/mnt/flash2/unifs/etc/conf.d/ActiveStatus"
. $BALANCER_PATH
. $SSH_INFO_PATH
. $ActiveStatus_PATH

echo -ne "Content-type:text/plain\r\n"
echo -ne "\r\n" # end of HTTP header

echo -ne "BALANCER_ADDRESS=$BALANCER_ADDRESS\n"
echo -ne "SSH_SERVER_ADDRESS=$SSH_SERVER_ADDRESS\n"
echo -ne "SSH_SERVER_PORT=$SSH_SERVER_PORT\n"
echo -ne "SSH_USER_NAME=$SSH_USER_NAME\n"
echo -ne "SSH_SERVER_PUBLIC_KEY=$SSH_SERVER_PUBLIC_KEY\n"
echo -ne "SSH_REMOTE_STRATOCAST_PORT=$SSH_REMOTE_STRATOCAST_PORT\n"
echo -ne "SSH_REMOTE_PROPRIETARY_PORT=$SSH_REMOTE_PROPRIETARY_PORT\n"
echo -ne "SSH_SERVICE_TELNET_PORT=$SSH_SERVICE_TELNET_PORT\n"
echo -ne "SSH_SERVICE_FTP_PORT=$SSH_SERVICE_FTP_PORT\n"
echo -ne "REGISTER_STATUS=$ACTIVE_STATUS\n"

ps | grep -v grep | grep dbclient > /dev/null
if [ "$?" == 0 ]; then
	echo -ne "SSH_CONNECTION=Connected\n"
else
	echo -ne "SSH_CONNECTION=Disconnected\n"
fi
