#!/bin/sh

STRATOCAST_COMMON_PATH="/mnt/flash2/unifs/usr/bin/StratocastCommon"
. $STRATOCAST_COMMON_PATH

REDIRECT_PAGE_PATH="${PACKAGE_PATH}/others/redirect_page"
API_URL="registration/${MANUFACTURER_NAME}/${DEVICE_UNIQUE_ID}"
URL="${SERVER_URL}${API_URL}"

$CURL_PATH -i -H "${H_ACCEPT}" -H "${H_CONTENT_TYPE}" -H "${H_X_STRATOCAST_DEVICE_FIRMWARE_VERSION}" \
-H "${H_X_STRATOCAST_DEVICE_MODEL}" -k ${URL} \
--connect-timeout 15 > $REDIRECT_PAGE_PATH

sed -i 's/HTTP\/1.1/Status:/g' $REDIRECT_PAGE_PATH

cat $REDIRECT_PAGE_PATH
