#!/bin/sh

echo -ne "Content-type:application/xml\r\n"
echo -ne "\r\n" # end of HTTP header 

# Body
PROTOCOL_VERSION="2015-02-10"
FW_VERSION=`cat /etc/firmware-version`
DEVICE_UNIQUE_ID=`confclient -g system_info_serialnumber -p 99 -t Value`
COMPANY_NAME="Vivotek"
MODEL_NAME=`confclient -g system_info_modelname -p 99 -t Value`
MAC_ADDRESS=`confclient -g system_info_serialnumber -p 99 -t Value`

echo -ne "<GetDescribeResponse xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">\r\n"
echo -ne "<ProtocolVersion>${PROTOCOL_VERSION}</ProtocolVersion>\r\n"
echo -ne "<DeviceUniqueID>${DEVICE_UNIQUE_ID}</DeviceUniqueID>\r\n"
echo -ne "<CompanyName>${COMPANY_NAME}</CompanyName>\r\n"
echo -ne "<ModelName>${MODEL_NAME}</ModelName>\r\n"
echo -ne "<FirmwareVersion>${FW_VERSION}</FirmwareVersion>\r\n"
echo -ne "<MacAddress>${MAC_ADDRESS}</MacAddress>\r\n"
echo -ne "</GetDescribeResponse>\r\n"

